Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.dgbtrf

scipy.linalg.lapack.dgbtrf(ab, kl, ku[, m, n, ldab, overwrite_ab]) = <fortran function dgbtrf>

  Wrapper for `dgbtrf`.

  Parameters:
    ab input rank-2 array(‘d’) with bounds (ldab,n)
    kl input int
    ku input int
  Returns:
    lu rank-2 array(‘d’) with bounds (ldab,n) and ab storage
    ipiv rank-1 array(‘i’) with bounds (MIN(m, n))
    info int
  Other Parameters:
    m input int, optional

      Default: shape(ab,1)

    n input int, optional

      Default: shape(ab,1)

    overwrite_ab input int, optional

      Default: 0

    ldab input int, optional

      Default: max(shape(ab,0),1)